> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Parsed Results



## OpenAPI

````yaml https://app.herondata.io/swagger patch /api/end_user_files/{parsed_end_user_file_id}/parsed_results
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_user_files/{parsed_end_user_file_id}/parsed_results:
    patch:
      tags:
        - EndUserFiles
      summary: Update Parsed Results
      parameters:
        - description: The ID of the parsed end user file
          in: path
          name: parsed_end_user_file_id
          required: true
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              properties:
                parsed_result:
                  additionalProperties: true
                  type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ParsedEndUserFileSchema'
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ParsedEndUserFileSchema:
      properties:
        attribute_values:
          items:
            additionalProperties: {}
            type: object
          type: array
        bounding_boxes:
          items:
            $ref: '#/components/schemas/ParsedEndUserFileBoundingBox'
          nullable: true
          type: array
        created:
          format: date-time
          type: string
        field_validations:
          items:
            $ref: '#/components/schemas/FieldValidation'
          type: array
        heron_id:
          description: Unique identifier of the end user file
          type: string
        id:
          description: '[DEPRECATED] Unique identifier for the parsed file'
          type: integer
        layout_bounding_boxes:
          items:
            $ref: '#/components/schemas/ParsedEndUserFileBoundingBox'
          nullable: true
          type: array
        parser_display_name:
          type: string
        parser_id:
          type: string
        parsing_status:
          enum:
            - succeeded
            - failed
            - processing
          type: string
        patches:
          items:
            $ref: '#/components/schemas/ParsedEndUserFilePatch'
          type: array
        result:
          additionalProperties: {}
          description: Final output result after applying patches
          nullable: true
          type: object
        result_schema:
          additionalProperties: {}
          description: The output JSON schema the results conform to
          type: object
        validation_summary:
          description: Summary of validation results
          type: string
      required:
        - created
        - heron_id
        - parser_id
        - parsing_status
      type: object
    ParsedEndUserFileBoundingBox:
      properties:
        bounding_box:
          description: Bounding box coordinates in the format 'y1,x1,y2,x2'
          items:
            type: number
          type: array
        json_pointer:
          description: JSON pointer to the field in the parsed result
          type: string
        page_num:
          description: Page number where the bounding box is located
          type: integer
        value:
          description: The actual value of the field within the bounding box
          type: string
      required:
        - bounding_box
        - json_pointer
        - page_num
        - value
      type: object
    FieldValidation:
      properties:
        failure_reason:
          nullable: true
          type: string
        field_name:
          type: string
        result:
          enum:
            - pass
            - fail
            - not_applicable
          example: pass
          type: string
        validation_type:
          type: string
      required:
        - failure_reason
        - field_name
        - result
        - validation_type
      type: object
    ParsedEndUserFilePatch:
      properties:
        correction_reason:
          nullable: true
          type: string
        enabled:
          nullable: true
          type: boolean
        op:
          type: string
        original_value:
          nullable: true
        path:
          type: string
        source:
          nullable: true
          type: string
        value:
          nullable: true
      required:
        - op
        - path
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````